| OpenGL-2.2.1.1: A binding for the OpenGL graphics system | Source code | Contents | Index
Graphics.Rendering.OpenGL.GL.PixelRectangles.Rasterization |
Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Description
This module corresponds to a part of section 3.6.4 (Rasterization of Pixel Rectangles) of the OpenGL 2.1 specs.
Documentation
data PixelData a | Source
Constructors
PixelData PixelFormat DataType (Ptr a) |
Instances
Eq (PixelData a)
Ord (PixelData a)
Show (PixelData a)
data PixelFormat | Source
Constructors
ColorIndex |
StencilIndex |
DepthComponent |
Red |
Green |
Blue |
Alpha |
RGB |
RGBA |
Luminance |
LuminanceAlpha |
ABGR |
BGR |
BGRA |
CMYK |
CMYKA |
FourTwoTwo |
FourTwoTwoRev |
FourTwoTwoAverage |
FourTwoTwoRevAverage |
YCBCR422 |
DepthStencil |
Instances
Eq PixelFormat
Ord PixelFormat
Show PixelFormat
drawPixels :: Size -> PixelData a -> IO () | Source
pixelZoom :: StateVar (GLfloat, GLfloat) | Source
Produced by Haddock version 0.9